رفع مشکل آپدیت 4.8 وردپرس با افزونه wp jalali

رفع مشکل آپدیت 4.8

سلام به همه ی همیار وردپرسی های عزیز؛
اخیرا متوجه شدیم که بعضی از کاربران با مشکلی مواجه شده اند که در صورت آپدیت سیستم وردپرس به ورژن 4.8 به اروری که مربوط به افزونه wp-jalali می شود برخورد کرده اند! همانطور که می توانید تقویم جلالی برای وبسایت های ما بسیار مهم است و باید رفع مشکل آپدیت 4.8 را برای آن انجام دهیم.
در این نوشته از همیار وردپرس می پردازیم به نحوه ی رفع مشکل وردپرس 4.8 و بررسی می کنیم که چرا این مشکل بوجود آمده!

رفع مشکل آپدیت 4.8

همون طور که همه ی ما می دانیم، می توانیم به کمک افزونه تاریخ جلالی وردپرس تاریخ های سایت وردپرسی خودمان را در جاهای مختلف از میلادی به شمسی تبدیل کنیم.
این افزونه اگر روی سایت وردپرسی شما فعال باشد با آپدیت وردپرس  به 4.8 با اروری مشابه ارور زیر مواجه خواهید شد:

error-رفع مشکل آپدیت 4.8

ارور به صورت زیر ظاهر می شود:

Failed to load content css: plugins/wp-jalali/assets/css/wysiwyg-rtl.css
این ارور اعلام می کند که فایل wysiwyg-rtl.css در محتوای افزونه وردپرس جلالی موجود نیست اما این فایل همان فایل wysiwyg.css است و وردپر 4.8 را نمی شناسد بنابراین باید رفع مشکل آپدیت 4.8 را برای آن بررسی کنیم.

این مشکل طبق تجربه ی ما همیشه ممکن است با آپدیت های متعدد وردپرس بوجود بیاید اما مشکل خاصی نیست که نتوان آن را حل کرد.

رفع مشکل آپدیت 4.8 وردپرس با افزونه wp-jalali

برای حل این مشکل به مدیریت هاست وردپرس خود وارد شوید و به آدرس زیر بروید:

wp-content/plugins/wp-jalali/assets/css

در این پوشه یک فایل به نام wysiwyg.css مشاهده می کنید که باید آن فایل را به wysiwyg-rtl.css تغییر دهید.
بعد از انجام این کار مشکل شما رفع می شود و می توانید مثل قبل به پنل مدیریت سایت خود رفته و مشاهده کنید که دیگر مشکلی وجود ندارد و به فعالیت خود همانند قبل بپردازید.

موفق باشید…

راه حل نهایی برای کسب و کار های آنلاین
آیا این مقاله برای شما مفید بود؟
تقریبا
خیر

دیدگاهتان را بنویسید

ارسال دیدگاه به معنی این است که شما ابتدا قوانین ارسال دیدگاه را مطالعه کرده‌اید و با آن موافق هستید.

دیدگاه‌های این نوشته جدید ترین ها شاخص

  1. 1 سال عضو همیار وردپرس

    Fatal error: Array and string offset access syntax with curly braces is no longer supported in C:\xampp\htdocs\wp-content\plugins\wp-jalali\lib\date.php on line 96
    سلام وقت بخیر من یه قالب دارم نصب میکنم ولی این ارورو میده باید چکار کنم؟

  2. 3 سال عضو همیار وردپرس

    سلام وقت بخیر لطفا نحوه رفع این مشکل رو هم اطلاع بدید یکی از دوستان هم همین مشکل رو داشتن (مشکل از وقتی ایجاد شد وردپرس 4.9 به 5.3 بروز رسانی شد)

    Fatal error: Cannot redeclare get_jcalendar() (previously declared in /home/****/public_html/****/wp-content/plugins/wp-persian/includes/general-template.php:94) in /home/****/public_html/****/wp-content/plugins/wp-jalali/lib/deprecated_fns.php on line 150

  3. 3 سال عضو همیار وردپرس

    سلام، من امروز پیغامی دیدم در پیشخوان که گفت می تونم به وردپرس 5.3 آپدیت کنم. منم اینکار رو کردم و بعد از اون افزونه فارسی سازم از کار افتاد دو سه تا افزونه دیگه هم امتحان کردم. حتی پاک کردم و از اول نصب کردم ولی مشکل حل نشده و هنوز هم نمایش تاریخ ها به صورت میلادی هست. البته داخل خود پیشخوان شمسی نشون میده. میشه راهنمایی کنید؟

    • 9 سال عضو همیار وردپرس

      سلام
      هیچوقت نسخه‌های جدید رو بدون تست بروز نکنید.
      می‌تونید برگردید به نسخه قبلی فعلا تا کمی نسخه جدید جا بیفته.

    • 3 سال عضو همیار وردپرس

      ممنون از پاسختون. چطور اینکار رو انجام بدم؟ ممنون میشم راهنمایی کنید

    • 9 سال عضو همیار وردپرس

      سلام
      مطالعه بفرمایید :
      بازگشت به نسخه قبلی

  4. سلام
    از روزی که وردپرس رو آپدیت کردم وقتی میخوام از قسمت نمایش وارد ابزارک ها بشم با این خطا روبه رو میشم :
    Fatal error: Call to undefined method _WP_Editors::enqueue_default_editor() in /home/…/public_html/wp-includes/general-template.php on line 3090
    ممنون میشم کمکم کنید

  5. 7 سال عضو همیار وردپرس

    درود
    وقت بخیر

    وقتی با موبایل اقدام به خرید می کنم و فیلد ها رو تکمیل میکنم ( مثلا کد پستی ) چون بصورت پیش فرض زبان گوشی فارسی هست اعداد هم به صورت فارسی نوشته می شوند /

    به همین دلیل اخطار میده و مانع ثبت سفارش میشه و ارور مبنی بر این که ” لطفا یک کد پستی معتبر وارد کنید. ” تا در ثبت سفارش به مشکلی بر نخوریم ، چون باید کد پستی به ” انگلیسی ” وارد بشه /

    جدیدا هم کاربرها با موبایل اندرویدی وارد سایت می شوند که به صورت پیش فرض اعداد این موبایل ها به صورت فارسی قرار داده شده اند
    لطفا راهنمایی کنید ، که هم بشه اعداد به صورت لاتین و هم به صورت فارسی وارد کرد تا برای ثبت سفارش به مشکل برنخوریم

    میخواستم بدونم با نصب این افزونه مشکلم حل میشه ؟
    یا اگر افزونه ای باشه که اگر اعداد فارسی وارد بشه ، خودکار تبدیل به انگلیسی کنه و ارور نگیره

    ممنون میشم راهنمایی کنید

    سپاس

  6. من یک مشکل دیگه هم دارم مثلا به سک متن در نوشته میخام لینک بدم صفحه که رو لینک باز میشه لینک وارد میکنم میخام بزنم اوکی نمیشه و هی ظاهر و غیب میشه و کلیک نمیشه کرد و یا مثلا عکس مطلب میزنم روش یک حالت پاپ اپ مانند میاد میخام کلیک کنم موس ببرم روش نمیشه و بازی میاد. این مشکل در یک هاست دیگه با نصب وردپرس خام تست کردم همینطوری بود و فهمیدم از سایت و هاست من نیست میدونین چتور حل کنم؟

    • 6 سال عضو همیار وردپرس

      سلام
      دقیقا متوجه نشدم مشکلتون چیه
      اما به ظاهر مشکلتون به نوشته ای که در این پست قرار دادیم مربوط نمیشه.
      موفق باشید…